Bug 77660 - rstatd croaks upon receiving rup call
rstatd croaks upon receiving rup call
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rusers (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-11 11:41 EST by Norm Murray
Modified: 2015-03-04 20:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-24 16:17:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Norm Murray 2002-11-11 11:41:28 EST
from customer report:
rstatd dies upon receiving a rup call.

Traced problem to apparent failure of rstatd to take into account changed
/proc/stat file structure.

This is an important issue as we use rstatd for load monitoring from remote
locations
Comment 2 Larry Troan 2002-12-04 08:28:42 EST
Updates from Issue Tracker 10262.........
MY REQUEST TO CUSTOMER (FORD) ON 2002/11/27:
 The responsible Engineer is looking at the problem and would like to know which
AS 2.1 kernel and rusers-server you are using?
------
Please type "rpm -qa | grep kernel" (without the quotes) and post the output
here. It should be something like "kernel-2.4.9-e.2".
Please type "rpm -qa | grep rusers-server" and post the output here.
-----
Also, please type "rpm -V kernel" (again without quotes) and post the output
here. It should look something like ".M......  /dev/shm"
----
Thanks
------------------------------------------------------
CUSTOMER'S RESPONSE ON 2002/12/03:
 Customer response

rpm -qa | grep kernel reveals:
kernel-2.4.9-e.9 (the updated kernel)
kernel-headers-2.4.9-e.9
kernel-utils-2.4.6

rusers-server is rusers-server-0.17-12

rpm -V kernel reveals only:
.M......   /dev/shm

Chris Runge provided us with a "temporary" fix, in an unsupported rpm. He
should be able to point you at what was done to fix it.

I have verified that the same failure occurs even on a server which has been
upgraded with all updates. A rup call from a remote box still kills rstatd.

-----------------------------------
REQUEST THAT ENGINEERING PROVIDE AN UPDATE TO THE CUSTOMER PLEASE. I WILL APPEND
IT TO ISSUE TRACKER SO CUSTOMER CAN VIEW IT. THANKS.

Comment 3 Phil Knirsch 2002-12-05 06:53:37 EST
Packages done, errata generated
(http://porkchop.redhat.com/errata/erratainfo.cgi?advisory=2002:278)

Waiting for QA now.

Read ya, Phil
Comment 4 Joshua Jensen 2003-01-08 18:13:56 EST
Status update:

The Director of AS Errata say that our rough estimate is the end of the month
(January 2003). We are testing our first quarterly errata bundle which will have
that errata in it. I hope to be all caught up with errata at that time.
Comment 5 John Flanagan 2003-02-14 16:05:07 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-278.html
Comment 6 Summer Maynard 2003-02-24 14:42:25 EST
Customer reporting bug still exists...

Customer is running most current rusers and rusers-server errata, as well as all
other updates.

When rup is used, the rstatd daemon crashes with no visible crash output...just
disappears.
Comment 7 J.L. Free 2003-02-24 16:07:58 EST
Please cancel REOPEN from Summer Sexton on 2003-02-24 14:42

As I prepared additional documentation to assist in debugging
I discovered I had window to wrong server.  The server with
ALL updates installed does, in fact, now work.  Sorry for any
inconvenience this caused (so many desktops, so many windows,
so little mind :)

Now need to open/update request for rstatd bug fix on 7.2 & 7.3

Note You need to log in before you can comment on or make changes to this bug.